//
//  BerekeningToepassing.h
//  Gyproc
//
//  Created by Bert Carrein on 1/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "BerekeningsmoduleDelegate.h"
#import "ProductToepassing.h"
#import "ProductDelegate.h"
#import "CataloogDelegate.h"
#import "LanguageDelegate.h"

//Controller 2e view berekeningsmodule: hierin worden de productinformaties (ProductInformatie object) van de gekozen ProductToepassing weergegeven
@interface BerekeningToepassing : UIViewController <UIPickerViewDelegate, UIPickerViewDataSource, UIPopoverControllerDelegate, 
ProductDelegate, CataloogDelegate, LanguageDelegate> {
    NSString *currentPickerValue;
    NSString *currentOrientation;
}

@property (nonatomic, retain) id<BerekeningsmoduleDelegate, LanguageDelegate> delegate;
@property (nonatomic, retain) ProductToepassing *productToepassing;

@property (nonatomic, retain) IBOutlet UILabel *toepassingTitel;
@property (nonatomic, retain) IBOutlet UITextView *toepassingOmschrijving;
@property (nonatomic, retain) IBOutlet UIButton *btnNL;
@property (nonatomic, retain) IBOutlet UIButton *btnFR;
@property (nonatomic, retain) IBOutlet UILabel *selectText;
@property (nonatomic, retain) IBOutlet UIButton *pickerButton;
@property (nonatomic, retain) IBOutlet UIScrollView *scrollView;
@property (nonatomic, retain) IBOutlet UIImageView *berekeningFoto;
@property (nonatomic, retain) IBOutlet UIButton *logoImage;

- (id)initWithProductToepassing:(ProductToepassing *)aProductToepassing andDelegate:(id<BerekeningsmoduleDelegate>)aDelegate;
- (IBAction)setNL:(id)sender;
- (IBAction)setFR:(id)sender;
- (IBAction)goBackHome;
- (IBAction)showPicker;

@end