//
//  Berekeningsmodule.h
//  Gyproc
//
//  Created by Bert Carrein on 30/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ProductenCategorie.h"
#import "Product.h"
#import "ProductInformatie.h"
#import "ProductToepassing.h"
#import "BerekeningenCategorie.h"
#import "BerekeningsmoduleDelegate.h"
#import "BerekeningToepassing.h"
#import "ModuleSwitch.h"
#import "LanguageDelegate.h"

//Controller 1e view berekeningsmodule: alle toepassingen van de producten (ProductToepassing object) worden hierin weergegeven
@interface Berekeningsmodule : UIViewController <BerekeningsmoduleDelegate, LanguageDelegate> {
    
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain) NSMutableArray *categorieArray;
@property (nonatomic, retain) NSMutableArray *productToepassingen;
@property (nonatomic, retain) NSMutableArray *typeArray;

@property (nonatomic, retain) IBOutlet UIButton *btnNL;
@property (nonatomic, retain) IBOutlet UIButton *btnFR;
@property (nonatomic, retain) IBOutlet UIButton *logoImage;
@property (nonatomic, retain) IBOutlet UIScrollView *toepassingScrollView;
@property (nonatomic, retain) IBOutlet UILabel *titel;
@property (nonatomic, retain) IBOutlet UILabel *tekst;

@property (nonatomic, retain) IBOutlet ModuleSwitch *moduleSwitch;

- (IBAction)setNL:(id)sender;
- (IBAction)setFR:(id)sender;

@end
