//
//  ModuleSwitch.h
//  Gyproc
//
//  Created by Bert Carrein on 14/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

//View die het menu de verschillende modules weergeeft 
@interface ModuleSwitch : UIView <UIScrollViewDelegate> {
    int currentPage;
}

@property (nonatomic, retain) IBOutlet UIScrollView *moduleScrollView;
@property (nonatomic, retain) IBOutlet UILabel *module;
@property (nonatomic, retain) NSMutableArray *moduleArray;

- (void)initWithIndex:(int)index animated:(BOOL)animated;

- (IBAction)pressLeft;
- (IBAction)pressRight;

- (void)changeLanguage;

@end
