//
//  ProductView.h
//  Gyproc
//
//  Created by Bert Carrein on 7/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Product.h"
#import "CataloogDelegate.h"
#import "ProductDelegate.h"

//View voor de kleine weergave van de producten in ProductStartView Controller bovenaan en Productcataloog Controller rechts (enkel in landscape)
@interface ProductView : UIButton {
    UIImageView *imageView;
    UIImage *backgroundSelected;
    UIImage *backgroundNotSelected;
    UIImage *backgroundHighlighted;
    UILabel *productLabel;
    Product *product;
    
    id<ProductDelegate> delegate;
    id<CataloogDelegate> delegateStart;
    
    BOOL selected;
}

@property (nonatomic, retain) UIImageView *imageView;
@property (nonatomic, retain) UIImage *backgroundSelected;
@property (nonatomic, retain) UIImage *backgroundNotSelected;
@property (nonatomic, retain) UIImage *backgroundHighlighted;
@property (nonatomic, retain) UILabel *productLabel;
@property (nonatomic, retain) Product *product;

@property (retain) id<ProductDelegate> delegate;
@property (retain) id<CataloogDelegate> delegateStart;

@property (nonatomic) BOOL selected;

- (void)setLanguage;
- (void)setSelected:(BOOL)selected;

@end
