//
//  ProductenCategorieSwitchView.h
//  Gyproc
//
//  Created by Bert Carrein on 7/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ProductenCategorie.h"
#import "ProductDelegate.h"
#import "Product.h"

//View van de categorieswitch in ProductStartView Controller.
@interface ProductenCategorieSwitchView : UIView {
    ProductenCategorie *currentCategorie;
    
    int currentIndex;
    int count;
    
    IBOutlet UILabel *categorieLabel;
    IBOutlet UILabel *countLabel;
    
    id<ProductDelegate> delegate;
}

@property (nonatomic, retain) IBOutlet UILabel *categorieLabel;
@property (nonatomic, retain) IBOutlet UILabel *countLabel;

@property (nonatomic, retain) ProductenCategorie *currentCategorie;
@property (nonatomic) int currentIndex;

@property (retain) id<ProductDelegate> delegate;

- (void)initCategorieSwitch:(NSMutableArray *)anArray forStartCategorie:(ProductenCategorie *)start forProduct:(Product *)product;

- (IBAction)leftPressed:(id)sender;
- (IBAction)rightPressed:(id)sender;

@end
