//
//  Toepassing.m
//  Gyproc
//
//  Created by Bert Carrein on 2/05/11.
//  Copyright (c) 2011 DMS. All rights reserved.
//

#import "Toepassing.h"
#import "ToepassingenCategorie.h"
#import "Stap.h"


@implementation Toepassing
@dynamic titelNL;
@dynamic omschrijvingNL;
@dynamic omschrijvingFR;
@dynamic titelFR;
@dynamic videoURLNL;
@dynamic videoURLFR;
@dynamic imageURL;
@dynamic stapImageURL;
@dynamic stappen;
@dynamic wistjedats;
@dynamic toepassingenCategorie;
@dynamic toepassingID;
@synthesize videoNotExists;

- (void)addStappenObject:(Stap *)value {    
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"stappen" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"stappen"] addObject:value];
    [self didChangeValueForKey:@"stappen" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)removeStappenObject:(Stap *)value {
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"stappen" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"stappen"] removeObject:value];
    [self didChangeValueForKey:@"stappen" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)addStappen:(NSSet *)value {    
    [self willChangeValueForKey:@"stappen" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"stappen"] unionSet:value];
    [self didChangeValueForKey:@"stappen" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
}

- (void)removeStappen:(NSSet *)value {
    [self willChangeValueForKey:@"stappen" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"stappen"] minusSet:value];
    [self didChangeValueForKey:@"stappen" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
}

- (void)addWistjedatsObject:(Stap *)value {    
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"wistjedats"] addObject:value];
    [self didChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)removeWistjedatsObject:(Stap *)value {
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"wistjedats"] removeObject:value];
    [self didChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)addWistjedats:(NSSet *)value {    
    [self willChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"wistjedats"] unionSet:value];
    [self didChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
}

- (void)removeWistjedats:(NSSet *)value {
    [self willChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"wistjedats"] minusSet:value];
    [self didChangeValueForKey:@"wistjedats" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
}

@end
