//
//  GyprocAppDelegate.h
//  Gyproc
//
//  Created by Bert Carrein on 6/04/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "GANTracker.h"
#import "PageController.h"
#import "TussenView.h"
#import "Brain.h"

@class StartView;

//App Delegate
@interface GyprocAppDelegate : NSObject <UIApplicationDelegate, GANTrackerDelegate> {
    UINavigationController *navController;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;

@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@end