//
//  StoreAnnotation.h
//  Gyproc
//
//  Created by Bert Carrein on 9/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <MapKit/MapKit.h>

//Een MKAnnotation object die de detail toont van een store in de store locator module (StoreLocator Controller)
@interface StoreAnnotation : NSObject <MKAnnotation> {
    CLLocationCoordinate2D coordinate;
}

@property (nonatomic, retain) NSString *storeSite;
@property (nonatomic, retain) NSString *storeName;
@property (nonatomic, retain) NSString *storeInfo;
@property (nonatomic) int storeTag;

@property (nonatomic, retain) NSNumber *latitude;
@property (nonatomic, retain) NSNumber *longitude;

@property (nonatomic, readonly) CLLocationCoordinate2D coordinate;

@end
