//
//  StoreLocator.h
//  Gyproc
//
//  Created by Bert Carrein on 8/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

@class Reachability;

//Controller weergave Store Locator module: alle stores worden weergegeven op een MKMapView adhv StoreAnnotation objecten
@interface StoreLocator : UIViewController <MKMapViewDelegate> {
    Reachability* internetReachable;
    Reachability* hostReachable;
}

@property (nonatomic, retain) IBOutlet MKMapView *generalMapView;
@property (nonatomic, retain) NSMutableArray *mapAnnotations;

@property (nonatomic) BOOL internetActive;
@property (nonatomic) BOOL hostActive;

- (IBAction)changeMapView:(id)sender;
- (IBAction)goBack:(id)sender;

@end
