//
//  Brain.h
//  Gyproc
//
//  Created by Bert Carrein on 14/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "Product.h"
#import "ProductenCategorie.h"
#import "Afmeting.h"
#import "BerekeningenCategorie.h"
#import "ProductToepassing.h"
#import "ProductInformatie.h"
#import "ToepassingenCategorie.h"
#import "Toepassing.h"

//Klasse die alle data uit Core Data ophaalt en bijhoudt. Ook de huidige taal wordt hier bijgehouden
@interface Brain : NSObject {
}

@property (nonatomic, retain) NSMutableArray *toepassingCategorieArray;
@property (nonatomic, retain) NSMutableArray *productCategorieArray;
@property (nonatomic, retain) NSMutableArray *productToepassingen;
@property (nonatomic, retain) NSMutableArray *typeArray;

@property (nonatomic, retain) NSString *currentLang;

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;

- (void)getDataAndFiles;
- (void)getData;

+ (Brain *)brain;
+ (Brain *)brainForManagedObjectContext:(NSManagedObjectContext *)moc;

@end
