//
//  CategorieSwitchView.h
//  Gyproc
//
//  Created by Bert Carrein on 6/04/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ToepassingenCategorie.h"
#import "ToepassingDelegate.h"
#import "Toepassing.h"

//View van de categorieswitch in StartView Controller.
@interface CategorieSwitchView : UIView {
    ToepassingenCategorie *currentCategorie;
    
    int currentIndex;
    int count;
    
    IBOutlet UILabel *categorieLabel;
    IBOutlet UILabel *countLabel;
    
    id<ToepassingDelegate> delegate;
}

@property (nonatomic, retain) IBOutlet UILabel *categorieLabel;
@property (nonatomic, retain) IBOutlet UILabel *countLabel;

@property (nonatomic, retain) ToepassingenCategorie *currentCategorie;
@property (nonatomic) int currentIndex;

@property (retain) id<ToepassingDelegate> delegate;

- (void)initCategorieSwitch:(NSMutableArray *)anArray forStartCategorie:(ToepassingenCategorie *)start forToepassing:(Toepassing *)toepassing;

- (IBAction)leftPressed:(id)sender;
- (IBAction)rightPressed:(id)sender;

@end
