//
//  FotoView.h
//  Gyproc
//
//  Created by Bert Carrein on 17/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Stap.h"
#import "Toepassing.h"
#import "LargeToepassingDelegate.h"

//Controller 3e weergave van toepassingmodule. Hierin wordt de foto van elke stap uit LargeToepassing in volledig scherm getoond.
@interface FotoView : UIViewController <UIGestureRecognizerDelegate, UIScrollViewDelegate> {
    UIScrollView *scrollImage;
    UIImageView *oldImage;
    NSSet *stappen;
    NSString *currentOrientation;
    NSString *startOrientation;
    int currentPage;
    
    id<LargeToepassingDelegate> delegate;
}

@property (nonatomic, retain) id<LargeToepassingDelegate> delegate;

- (id)initWithImageView:(UIImageView *)oldImage andStappen:(NSSet *)deStappen;

@end
