//
//  PopoverInfo.h
//  Gyproc
//
//  Created by Bert Carrein on 24/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Stap.h"
#import "LargeToepassingDelegate.h"

//Popover Controller die getoond wordt als het tip-icoontje wordt aangeraakt in LargeToepassing View (per stap een icoontje)
@interface PopoverInfo : UIViewController {
    Stap *currentStap;
}

@property (nonatomic, retain) IBOutlet UILabel *titelLabel;
@property (nonatomic, retain) IBOutlet UILabel *textView;
@property (nonatomic, retain) IBOutlet UIScrollView *scroll;

@property (nonatomic, retain) id<LargeToepassingDelegate> delegate;

- (id)initWithStap:(Stap *)stap;
- (IBAction)close:(id)sender;

@end
