//
//  PopoverWistjedat.h
//  Gyproc
//
//  Created by Bert Carrein on 24/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Toepassing.h"
#import "LargeToepassingDelegate.h"

//Popover Controller die wordt weergegeven als het vraagteken wordt aangeraakt in LargeToepassing
@interface PopoverWistjedat : UIViewController <UIScrollViewDelegate> {
    Toepassing *currentToepassing;
}

@property (nonatomic, retain) IBOutlet UIPageControl *pageControl;
@property (nonatomic, retain) IBOutlet UIScrollView *scroll;
@property (nonatomic, retain) IBOutlet UILabel *titel;

@property (nonatomic, retain) id<LargeToepassingDelegate> delegate;

- (id)initWithToepassing:(Toepassing *)aToepassing;
- (IBAction)pageControlChanged:(id)sender;
- (IBAction)close:(id)sender;

@end
