//
//  ToepassingView.h
//  Gyproc
//
//  Created by Bert Carrein on 26/04/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Toepassing.h"
#import "ToepassingDelegate.h"
#import "StartDelegate.h"

//View voor de kleine weergave van de toepassingen in StartView Controller bovenaan en Start Controller rechts (enkel in landscape)
@interface ToepassingView : UIButton {
    UIImageView *imageView;
    UIImage *backgroundSelected;
    UIImage *backgroundNotSelected;
    UIImage *backgroundHighlighted;
    UILabel *toepassingLabel;
    UIImageView *video;
    Toepassing *toepassing;
    
    id<ToepassingDelegate> delegate;
    id<StartDelegate> delegateStart;
    
    BOOL selected;
}

@property (nonatomic, retain) UIImageView *imageView;
@property (nonatomic, retain) UIImage *backgroundSelected;
@property (nonatomic, retain) UIImage *backgroundNotSelected;
@property (nonatomic, retain) UIImage *backgroundHighlighted;
@property (nonatomic, retain) UILabel *toepassingLabel;
@property (nonatomic, retain) Toepassing *toepassing;

@property (retain) id<ToepassingDelegate> delegate;
@property (retain) id<StartDelegate> delegateStart;

@property (nonatomic) BOOL selected;

- (void)setLanguage;
- (void)setSelected:(BOOL)selected;

@end
