//
//  Toepassing.h
//  Gyproc
//
//  Created by Bert Carrein on 2/05/11.
//  Copyright (c) 2011 DMS. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class ToepassingenCategorie, Stap;

//Object die overeenkomt met de Toepassing entity uit Core Data
@interface Toepassing : NSManagedObject {
@private
}
@property (nonatomic, retain) NSString *titelNL;
@property (nonatomic, retain) NSString *omschrijvingNL;
@property (nonatomic, retain) NSString *omschrijvingFR;
@property (nonatomic, retain) NSString *titelFR;
@property (nonatomic, retain) NSString *videoURLNL;
@property (nonatomic, retain) NSString *videoURLFR;
@property (nonatomic, retain) NSString *imageURL;
@property (nonatomic, retain) NSString *stapImageURL;
@property (nonatomic) NSInteger *toepassingID;
@property (nonatomic, retain) NSSet *stappen;
@property (nonatomic, retain) NSSet *wistjedats;
@property (nonatomic, retain) ToepassingenCategorie *toepassingenCategorie;

@property (nonatomic) BOOL videoNotExists;

@end
