//
//  ToepassingDelegate.h
//  Gyproc
//
//  Created by Bert Carrein on 27/04/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@protocol ToepassingDelegate <NSObject>

@property (nonatomic, retain) IBOutlet UIScrollView *toepassingScrollView;
@property (nonatomic) BOOL search;
@property (nonatomic, retain) NSMutableArray *categorieArray;
@property (nonatomic, readonly, retain) ToepassingenCategorie *currentCategorie;

- (void)toonToepassingen:(ToepassingenCategorie *)categorie forToepassing:(Toepassing *)toepassing forOrientation:(NSString *)orientation justRotate:(BOOL)justRotate;
- (void)kiesToepassing:(Toepassing *)aToepassing forOrientation:(NSString *)orientation;
- (void)dismissFotoView:(UIViewController *)viewController;
- (void)presentFotoView:(UIViewController *)viewController;
- (void)speelVideo:(NSURL *)url;

@end
