//
//  PageController.m
//  Gyproc
//
//  Created by Bert Carrein on 25/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import "PageController.h"

@implementation PageController

@synthesize currentLang;
@synthesize managedObjectContext;

//Init
- (id)init {
    self = [super init];
    if (self) {
        super.page = 0;
    }
    return self;
}

//Bij load de viewcontrollers aanmaken en data meegegeven uit Brain
- (void)viewDidLoad {
    [super viewDidLoad];
    
    o = [[Overall alloc] init];
    
    s = [[Start alloc] init];
    s.categorieArray = [Brain brain].toepassingCategorieArray;
    
    super.pageFrame = CGRectMake(0, 0, 768, 1004);
    super.touchFrame = CGRectMake(0, 0, 768, 1004);
}

//PageController wordt niet meer getoond: page curl is niet meer mogelijk
- (void)animateEnded:(int)aPage {
    if (aPage==1) {
        [self presentModalViewController:s animated:NO];
    }
}

//PageController methods
- (UIViewController*)pageAtIndex:(NSUInteger)index {
    if (index==0) {
        return o;
    } else if (index==1) {
        return s;
    }
    
    return nil;
}
- (NSUInteger)numberOfPages {
    return 2;
}

//Taal opslaan in voorkeuren
- (void)setCurrentLang:(NSString *)aCurrentLang {
    currentLang = aCurrentLang;
    NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
    [prefs setObject:aCurrentLang forKey:@"lang"];
    [prefs synchronize];
}

- (NSString *)currentLang {
    return currentLang;
}
- (void)dealloc {
    [s release];
    [managedObjectContext release];
    [super dealloc];
}

@end
