//
//  ProductFotoView.h
//  Gyproc
//
//  Created by Bert Carrein on 9/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ProductDelegate.h"

//Controller 3e weergave van productcataloog module. Hierin wordt de foto van het product uit ProductStartView Controller in volledig scherm getoond.
@interface ProductFotoView : UIViewController {
    UIImageView *oldImage;
    UIImageView *currentImage;
    NSString *currentOrientation;
    NSString *startOrientation;
}

@property (nonatomic, retain) id<ProductDelegate> delegate;

- (id)initWithImageView:(UIImageView *)oldImage;

@end
