//
//  ProductInformatie.h
//  Gyproc
//
//  Created by Bert Carrein on 31/05/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "Product.h"

//ProductInformatie object met meer info over het product in het ProductToepassing object (meerder productinformaties per producttoepassing)
@interface ProductInformatie : NSObject {}

@property (nonatomic, retain) Product *product;
@property (nonatomic, retain) NSString *typeHoeveelheid;
@property (nonatomic, retain) NSString *typeEenheid;
@property (nonatomic, retain) NSMutableArray *hoeveelhedenPerLengte;
@property (nonatomic, retain) NSMutableArray *eenhedenPerLengte;
@property (nonatomic, retain) NSString *extraInfo;
@property (nonatomic) BOOL of;

@end
