//
//  StoreAnnotation.m
//  Gyproc
//
//  Created by Bert Carrein on 9/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import "StoreAnnotation.h"


@implementation StoreAnnotation

@synthesize latitude, longitude;
@synthesize storeSite;
@synthesize storeName;
@synthesize storeInfo;
@synthesize storeTag;

- (CLLocationCoordinate2D)coordinate {
    coordinate.latitude = [self.latitude doubleValue];
    coordinate.longitude = [self.longitude doubleValue];
    return coordinate;
}

- (NSString *)title {
    return storeName;
}

- (NSString *)subtitle {
    return storeInfo;
}

- (void)dealloc {
    [storeName release];
    [storeSite release];
    [latitude release];
    [longitude release];
    
    [super dealloc];
}

@end
