//
//  TussenView.m
//  Gyproc
//
//  Created by Bert Carrein on 6/06/11.
//  Copyright 2011 DMS. All rights reserved.
//

#import "TussenView.h"

@implementation TussenView

@synthesize managedObjectContext;
@synthesize languageView;
@synthesize btnNL, btnFR;

//Load: init background en toon taalkeuze buttons
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"Default-Portrait~ipad.png"]];
    
    [UIView beginAnimations:nil context:nil];
    [UIView setAnimationDuration:1];
    languageView.alpha = 1;
    [UIView commitAnimations];
}

//should rotate (enkel portrait)
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return UIInterfaceOrientationIsPortrait(interfaceOrientation);
}

//Open PageController
- (void)setNextPage {
    PageController *page = [[PageController alloc] init];
    page.managedObjectContext = [self managedObjectContext];
    page.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
    [self presentModalViewController:page animated:YES];
    [page release];
}

//Set talen & open PageController
- (IBAction)setNL {
    NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
    [prefs setObject:@"NL" forKey:@"lang"];
    [prefs synchronize];
    [[Brain brain] setCurrentLang:@"NL"];
    
    [self setNextPage];
}
- (IBAction)setFR {
    NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
    [prefs setObject:@"FR" forKey:@"lang"];
    [prefs synchronize];
    [[Brain brain] setCurrentLang:@"FR"];
    
    [self setNextPage];
}

- (void)viewDidUnload {
    [super viewDidUnload];
    
    self.languageView = nil;
}
- (void)dealloc {
    [delegate release];
    [managedObjectContext release];
    [super dealloc];
}

@end
